#
# spec file for package perl-IO-Socket-IP
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IO-Socket-IP
Version:        0.37
Release:        4.5
%define cpan_name IO-Socket-IP
Summary:        Family-neutral IP socket supporting both IPv4 and IPv6
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IO-Socket-IP/
Source:         http://www.cpan.org/authors/id/P/PE/PEVANS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Socket) >= 1.97
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Socket) >= 1.97
%{perl_requires}

%description
This module provides a protocol-independent way to use IPv4 and IPv6
sockets, intended as a replacement for the IO::Socket::INET manpage. Most
constructor arguments and methods are provided in a backward-compatible
way. For a list of known differences, see the 'IO::Socket::INET'
INCOMPATIBILITES section below.

It uses the 'getaddrinfo(3)' function to convert hostnames and service
names or port numbers into sets of possible addresses to connect to or
listen on. This allows it to work for IPv6 where the system supports it,
while still falling back to IPv4-only on systems which don't.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.37
  see /usr/share/doc/packages/perl-IO-Socket-IP/Changes
  0.37    2015/03/12 20:44:07
    [CHANGES]
  * Earlier detection/reporting of erroneous Listen + Peer* argument
    combination; don't rely on resolveable hostname to do it (RT92930)
    [BUGFIXES]
  * Skip t/16v6only.t on irix (RT102662)
  * Remember to eval() $IO::Socket::VERSION in case it's a devel
    release (RT101954)
  * s/Port/LocalPort/ in unit tests (RT96064)
  0.36    2014/01/10 20:54:58
    [BUGFIXES]
  * Always bind() on MSWin32 because Windows doesn't like it if we
    listen() having not done so (RT101396)
  0.35    2015/01/02 19:45:20
    [BUGFIXES]
  * Restore blocking mode after timeout connect immediate success
    (RT100947)
  * Avoid CORE:: prefixing so global override modules work (RT101174)
  * Ensure that ->peer{host,port,hostname,service} never die even when
    unconnected (RT98759)
  0.34    2014/12/03 00:04:56
    [BUGFIXES]
  * Don't select() for read-readiness when waiting for non-blocking
    connect() because it upsets VMS (RT100654)
  0.33    2014/11/21 16:17:39
    [BUGFIXES]
  * Use SOL_SOCKET/SO_ERROR sockopt rather than 2nd connect() error
    hoisting to detect nonblocking connect/failure when implementing
    Timeout (RT98976) (thanks Arthur Axel 'fREW' Schmidt)
  0.32    2014/09/12 10:11:27
    [CHANGES]
  * Implementation of Timeout for ->connect (RT92075)
  0.31    2014/07/11 01:24:49
    [BUGFIXES]
  * A better fix for subclassing ->connect (RT95983) because 0.30 broke
    the way IO::Socket::SSL works (RT97050)
  0.30    2014/07/03 23:28:43
    [CHANGES]
  * Invoke $self->connect fully-qualified in case of subclasses with
    override (RT95983)
  * Added extra diag() call in t/15io-socket.t (RT96914)
* Thu Mar  6 2014 opensuse@dstoecker.de
- update to 0.29
  [BUGFIXES]
  * Workaround for OSes that disobey AI_ADDRCONFIG and yield AIs on
    families the kernel will not support anyway (e.g. HPUX)
  * Workaround for OSes that lack getprotobyname() (e.g. Android)
* Thu Feb 13 2014 opensuse@dstoecker.de
- created
